Bug 1181725 - Re-Review Request (epel5): fontpackages - Common directory and macro definitions used by font packages
Summary: Re-Review Request (epel5): fontpackages - Common directory and macro definiti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1177946 1181726
TreeView+ depends on / blocked
 
Reported: 2015-01-13 16:37 UTC by Parag Nemade
Modified: 2015-04-01 01:57 UTC (History)
5 users (show)

Fixed In Version: fontpackages-1.44-1.el5.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 17:58:05 UTC
tagoh: fedora-review+


Attachments (Terms of Use)

Description Parag Nemade 2015-01-13 16:37:32 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/fontpackages.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/fontpackages-1.44-1.el5.2.src.rpm
Description:This package contains the basic directory layout, spec templates, rpm macros and other materials used to create font packages.

Fedora Account System Username: pnemade

This package was retired as
    2014-12-20: Retired because of broken deps:
    unresolved dependencies for fontpackages-tools-1.44-1.el5.1.noarch:
    rpmlint

but as rpmlint is un-retired and we can have this package back in epel5. 

Though as per guidelines we don't need re-review of a epel package which exists in fedora but I got a suggestion from Dennis Gilmore to have this re-reviewed.

Comment 1 Robert Scheck 2015-02-12 19:45:17 UTC
Do we really need the re-review (that nobody seems to want to take care of)?
https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Retired_Package says "To unretire a EPEL branch if the package is still in Fedora, no re-review is required.". I would prefer if we could
just proceed to get the package back...

Comment 2 Akira TAGOH 2015-02-13 06:30:09 UTC
I do take care of it.

Comment 3 Akira TAGOH 2015-02-13 07:47:41 UTC
Some needs to be fixed/improved. otherwise looks good to me. see the below for details.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
* MUST items
  * rm-fr %{buildroot} at %install is present.
  * %defattr is present.

* SHOULD items
  * Buildroot is present.
  * %clean is present.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[ ]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fontpackages-filesystem-1.44-1.fc21.2.noarch.rpm
          fontpackages-devel-1.44-1.fc21.2.noarch.rpm
          fontpackages-tools-1.44-1.fc21.2.noarch.rpm
          fontpackages-1.44-1.fc21.2.src.rpm
fontpackages-filesystem.noarch: W: no-documentation
fontpackages-tools.noarch: W: no-manual-page-for-binary ttfcoverage
fontpackages-tools.noarch: W: no-manual-page-for-binary repo-font-audit
fontpackages-tools.noarch: W: no-manual-page-for-binary fix-font-naming
fontpackages-tools.noarch: W: no-manual-page-for-binary filter-unicover
fontpackages-tools.noarch: W: no-manual-page-for-binary compare-repo-font-audit
fontpackages-tools.noarch: W: no-manual-page-for-binary filter-langcover
fontpackages-tools.noarch: W: no-manual-page-for-binary filter-fontlint
fontpackages.src:18: W: macro-in-comment %{name}
fontpackages.src:18: W: macro-in-comment %{name}
fontpackages.src:18: W: macro-in-comment %{version}
fontpackages.src: W: invalid-url Source0: fontpackages-1.44.tar.bz2
4 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
fontpackages-tools (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    curl
    fedora-packager
    fontconfig
    fontforge
    make
    mutt
    perl(Font::TTF::Font)
    perl(Getopt::Std)
    perl(Unicode::UCD)
    rpmlint
    yum-utils

fontpackages-devel (rpmlib, GLIBC filtered):
    config(fontpackages-devel)
    fontconfig
    fontpackages-filesystem
    rpmdevtools

fontpackages-filesystem (rpmlib, GLIBC filtered):



Provides
--------
fontpackages-tools:
    fontpackages-tools

fontpackages-devel:
    config(fontpackages-devel)
    fontpackages-devel

fontpackages-filesystem:
    fontpackages-filesystem



Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1181725
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Akira TAGOH 2015-02-13 08:00:09 UTC
erm, no problem for epel5. so APPROVED.

Comment 5 Parag Nemade 2015-02-13 08:18:38 UTC
Thank you Tagoh-san.

Let me push the existing build fontpackages-1.44-1.el5.1 to epel5-testing.

Comment 6 Parag Nemade 2015-02-13 08:29:06 UTC
Ah. I need SCM request.

New Package SCM Request
=======================
Package Name: fontpackages
Short Description: Common directory and macro definitions used by font packages
Upstream URL: http://fedoraproject.org/wiki/fontpackages
Owners: pnemade
Branches: el5
InitialCC:

Comment 7 Parag Nemade 2015-02-13 08:49:52 UTC
Looks like I don't need this request as package is already unblocked in rel-eng ticket https://fedorahosted.org/rel-eng/ticket/6076#comment:2

Comment 8 Fedora Update System 2015-02-13 09:10:14 UTC
fontpackages-1.44-1.el5.2 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fontpackages-1.44-1.el5.2

Comment 9 Fedora Update System 2015-02-14 02:41:46 UTC
fontpackages-1.44-1.el5.2 has been pushed to the Fedora EPEL 5 testing repository.

Comment 10 Fedora Update System 2015-02-28 17:58:05 UTC
fontpackages-1.44-1.el5.2 has been pushed to the Fedora EPEL 5 stable repository.

Comment 11 Robert Scheck 2015-03-15 13:15:02 UTC
Uhm, just taking the package to have it retired again after 2 months is not 
that how it IMHO should work :-(

https://lists.fedoraproject.org/pipermail/epel-devel/2015-March/010968.html

Comment 12 Robert Scheck 2015-03-15 13:21:43 UTC
Package Change Request
======================
Package Name: fontpackages
New Branches: el5
Owners: robert
InitialCC: fonts-sig i18n-team


I think this package change request is required for unretiring, because I can
not do anything on the package in pkgdb.

Comment 13 Fedora Update System 2015-03-15 19:30:37 UTC
fontpackages-1.44-1.el5.3 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fontpackages-1.44-1.el5.3

Comment 14 Gwyn Ciesla 2015-03-16 13:35:26 UTC
Already complete.

Comment 15 Fedora Update System 2015-04-01 01:57:52 UTC
fontpackages-1.44-1.el5.3 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.